CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2024 开发者帮助

ExtensionLineColor 属性 (ActiveX)

2024-5-18 19:08| 发布者: admin| 查看: 82| 评论: 0|原作者: admin|来自: AutoCAD

ExtensionLineColor 属性 (ActiveX)

指定尺寸延伸线的颜色。

支持的平台:仅限 Windows

签名

VBA:

object.ExtensionLineColor
对象

类型:Dim3PointAngularDimAlignedDimAngularDimArcLengthDimOrdinateDimRotated

此属性应用于的对象。

属性值

只读:

类型:枚举acColor

使用介于 0 到 256 之间的颜色索引号,或此处列出的常量之一:

  • acByBlock
  • acByLayer
  • acRed
  • acYellow
  • acGreen
  • acCyan
  • acBlue
  • acMagenta
  • acWhite

言论

可以将颜色设置为从 0 到 256 的数字索引值并读取。为标准七种颜色以及 BYBLOCK 和 BYLAYER 名称提供了常量。

如果使用 ,AutoCAD 将以默认颜色(白色或黑色,具体取决于您的配置)绘制新对象,直到它们被分组到块中。在图形中插入块时,块中的对象将继承颜色属性的当前设置。acByBlock

如果使用 ,则新对象将采用绘制它们的图层的颜色。acByLayer

注意:此属性将覆盖给定维度对象的 DIMCLRE 系统变量的值。

例子

VBA:

Sub Example_ExtensionLineColor()
    ' This example creates a Dim3PointAngular object in model space
    ' and changes the extension line color to red using the ExtensionLineColor property
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Read and display current dimension line color
    MsgBox "The extension line color for this object is currently set to: " & DimPointAngularObj.ExtensionLineColor

    ' Change the extension line color
    DimPointAngularObj.ExtensionLineColor = acRed
    ThisDrawing.Regen acAllViewports
    
    ' Read and display current extension line color
    MsgBox "The extension line color for this object is now set to: " & DimPointAngularObj.ExtensionLineColor & " (Red)"
    
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_ExtensionLineColor()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and changes the extension line color to red using the ExtensionLineColor property
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Read and display current dimension line color
    (alert (strcat "The extension line color for this object is currently set to: " (itoa (vla-get-ExtensionLineColor DimPointAngularObj))))

    ;; Change the extension line color
    (vla-put-ExtensionLineColor DimPointAngularObj acRed)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display current extension line color
    (alert (strcat "The extension line color for this object is now set to: " (itoa (vla-get-ExtensionLineColor DimPointAngularObj)) " (Red)"))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2024-12-15 22:24

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部